-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Versione server:              5.5.16 - MySQL Community Server (GPL)
-- S.O. server:                  Win64
-- HeidiSQL Versione:            8.2.0.4675
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Dump della struttura del database molecole
CREATE DATABASE IF NOT EXISTS `molecole` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `molecole`;


-- Dump della struttura di tabella molecole.composizione
CREATE TABLE IF NOT EXISTS `composizione` (
  `idMolecola` int(11) NOT NULL,
  `idElemento` int(11) NOT NULL,
  `quantita` int(11) NOT NULL,
  PRIMARY KEY (`idMolecola`,`idElemento`),
  KEY `FK_composizione_elemento` (`idElemento`),
  CONSTRAINT `FK_composizione_molecola` FOREIGN KEY (`idMolecola`) REFERENCES `formula` (`idFormula`),
  CONSTRAINT `FK_composizione_elemento` FOREIGN KEY (`idElemento`) REFERENCES `formula` (`idFormula`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dump dei dati della tabella molecole.composizione: ~4 rows (circa)
DELETE FROM `composizione`;
/*!40000 ALTER TABLE `composizione` DISABLE KEYS */;
INSERT INTO `composizione` (`idMolecola`, `idElemento`, `quantita`) VALUES
	(1, 1, 1),
	(2, 2, 1),
	(3, 1, 2),
	(3, 2, 1);
/*!40000 ALTER TABLE `composizione` ENABLE KEYS */;


-- Dump della struttura di tabella molecole.formula
CREATE TABLE IF NOT EXISTS `formula` (
  `idFormula` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(50) NOT NULL DEFAULT '0',
  `sigla` varchar(30) NOT NULL DEFAULT '0',
  PRIMARY KEY (`idFormula`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

-- Dump dei dati della tabella molecole.formula: ~3 rows (circa)
DELETE FROM `formula`;
/*!40000 ALTER TABLE `formula` DISABLE KEYS */;
INSERT INTO `formula` (`idFormula`, `nome`, `sigla`) VALUES
	(1, 'Oxygen', 'O'),
	(2, 'Carbon', 'C'),
	(3, 'Carbon Dioxide', 'CO2');
/*!40000 ALTER TABLE `formula` ENABLE KEYS */;
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
