package it.polito.esame;

import java.util.ArrayList;

import javafx.scene.control.TextArea;
import it.polito.esame.bean.Bridge;
import it.polito.esame.dao.BridgeDAO;

;

public class Model {

	BridgeDAO dao;

	public Model() {
		super();
		dao = new BridgeDAO();

	}

	// restituisce l'elenco di tutte le citt gia ordinate per nome della citt
	public ArrayList<String> getAllCities() {
		ArrayList<String> result = dao.getAllCities();
		return result;
	}

	// restituisce la stringa che deve essere mostrata nella TextArea txtResult
	// per descrivere i ponti che collegano le due citt selezionate
	public String getBridge(String citySource, String cityDestination) {
		String result = "";
		int sourceId = dao.getIdCittaByCity(citySource);
		int destinationId = dao.getIdCittaByCity(cityDestination);

		ArrayList<Integer> idPonti = dao.getBridge(sourceId, destinationId);
		if (idPonti == null || idPonti.size() == 0) {
			return "Non esistono ponti che collegano " + citySource + " con "
					+ cityDestination;
		} else {
			for (Integer id : idPonti) {
				Bridge b = dao.getBridgeById(id);
				result = result + b.getCall() + "  ";
			}
			return result;
		}
	}
}
