package it.polito.esame.gui;

import it.polito.esame.Model;

import java.net.URL;
import java.util.ArrayList;
import java.util.ResourceBundle;

import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.ChoiceBox;
import javafx.scene.control.TextArea;

public class Controller {

	private Model model;

	@FXML
	private ResourceBundle resources;

	@FXML
	private URL location;

	@FXML
	private ChoiceBox<String> CityChoiceBoxA;

	@FXML
	private ChoiceBox<String> CityChoiceBoxB;

	@FXML
	private TextArea txtResult;

	@FXML
	void doCercaPonti(ActionEvent event) {
		String citySource = CityChoiceBoxA.getValue();
		String cityDestination = CityChoiceBoxB.getValue();
		if (citySource.equals(cityDestination))
			txtResult.setText("selezionare due citta' distinte");
		else
			txtResult.setText(model.getBridge(citySource, cityDestination));
	}

	public void setModel(Model model) {
		this.model = model;
	}

	public void loadCity() {
		ArrayList<String> cities = model.getAllCities();
		ObservableList obcities = FXCollections.observableList(cities);
		CityChoiceBoxA.setItems(obcities);
		CityChoiceBoxB.setItems(obcities);
	}

	@FXML
	void initialize() {
		assert CityChoiceBoxA != null : "fx:id=\"CityChoiceBoxA\" was not injected: check your FXML file 'Bridge.fxml'.";
		assert CityChoiceBoxB != null : "fx:id=\"CityChoiceBoxB\" was not injected: check your FXML file 'Bridge.fxml'.";
		assert txtResult != null : "fx:id=\"txtResult\" was not injected: check your FXML file 'Bridge.fxml'.";

	}
}
