package it.polito.porto.dao;

import java.beans.PropertyVetoException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import com.mchange.v2.c3p0.ComboPooledDataSource;

/* DBConnect realizzata come "singleton" */

public class DBConnect {

	//static private final String jdbcUrl = "jdbc:mysql://localhost/porto?user=root&password=root";
	static private DBConnect instance = null ;
	
	private ComboPooledDataSource cpds = null ; 
	
	private DBConnect () {
		instance = this ;
		//System.out.println("instance created") ;
		
		cpds = new ComboPooledDataSource();
		try {
			cpds.setDriverClass( "com.mysql.jdbc.Driver" );
		} catch (PropertyVetoException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} //loads the jdbc driver
		cpds.setJdbcUrl( "jdbc:mysql://localhost/porto" );
		cpds.setUser("root");
		cpds.setPassword(""); 
	}
	
	public static DBConnect getInstance() {
		if(instance == null)
			return new DBConnect() ;
		else {
			//System.out.println("instance reused") ;
			return instance ;
		}
	}
	
	public Connection getConnection() {
		try {
			// Connection conn = DriverManager.getConnection(jdbcUrl) ;
			Connection conn = cpds.getConnection() ;
			return conn ;
		} catch (SQLException e) {
			e.printStackTrace();
			//throw new RuntimeException("Cannot get connection "+jdbcUrl, e) ;
			return null ;
		}	
	}

}
